Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.designtime.internal.provisional.el
Class AbstractDTVariableResolver

    java.lang.Object
      org.eclipse.jst.jsf.designtime.internal.provisional.el.AbstractDTVariableResolver

Direct Known Subclasses:
  DefaultDTVariableResolver

public abstract class AbstractDTVariableResolver
extends java.lang.Object

Super-class of all design-time variable resolver. A design time variable resolver Clients may sub-class.

Constructor Summary
`AbstractDTVariableResolver()`

Method Summary
`abstract ISymbol[]` | `getAllVariables(DTFacesContext facesContext, org.eclipse.core.runtime.IAdaptable externalContextKey)`
`abstract ISymbol` | `resolveVariable(DTFacesContext context, java.lang.String name, org.eclipse.core.runtime.IAdaptable externalContextKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDTVariableResolver

    public AbstractDTVariableResolver()

Method Detail

### resolveVariable

    public abstract ISymbol resolveVariable(DTFacesContext context,
                                            java.lang.String name,
                                            org.eclipse.core.runtime.IAdaptable externalContextKey)

  Parameters:
    `context` -
    `name` -
    `externalContextKey` - -- an adapter that identifies the external application context within which to resolve name. For example, this could be an IFile representing a JavaServer Page in which we want to resolve the symbol name
  Returns:
    the symbol corresponding to name in the faces context or null if not found

### getAllVariables

    public abstract ISymbol[] getAllVariables(DTFacesContext facesContext,
                                              org.eclipse.core.runtime.IAdaptable externalContextKey)

  Parameters:
    `facesContext` -
    `externalContextKey` -
  Returns:
    all variables

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD